Unschedule a broadcast.
curl --request POST \
--url https://{subdomain}.outseta.com/api/v1/email/campaigns/broadcasts/{broadcastCampaignUid}/unschedule \
--header 'Authorization: Bearer <token>'import requests
url = "https://{subdomain}.outseta.com/api/v1/email/campaigns/broadcasts/{broadcastCampaignUid}/unschedule"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{subdomain}.outseta.com/api/v1/email/campaigns/broadcasts/{broadcastCampaignUid}/unschedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SendDateTime": "string",
"NextRunDateTime": "string",
"Campaign": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Name": "string",
"FromName": "string",
"FromEmail": "string",
"CampaignType": 1
},
"Message": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Template": {},
"Name": "string",
"Subject": "string",
"PreviewText": "string",
"Body": "string",
"Design": "string",
"CountSent": 0,
"CountDelivered": 0,
"CountBounce": 0,
"CountSpam": 0,
"CountOpen": 0,
"CountClick": 0,
"CountUnsubscribed": 0,
"CountTotalOpen": 0,
"CountTotalClick": 0,
"IgnoredSpamBounce": 0,
"IsBounceRatePaused": false,
"IsSpamScorePaused": false,
"EmailLinks": [],
"SpamAssassinScore": 0,
"SpamStatus": 0,
"SpamReason": "string"
},
"RecipientData": "string",
"EmailListUids": [
"string"
],
"SegmentUids": [
"string"
],
"Status": 1,
"ErrorMessage": "string",
"Tags": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Name": "string",
"SystemName": "string",
"SystemDescription": "string",
"TagColor": 1,
"EntityType": 0
}
]
}Broadcasts
Unschedule a broadcast.
Unschedules a pending broadcast, reverting its status to Draft.
POST
/
api
/
v1
/
email
/
campaigns
/
broadcasts
/
{broadcastCampaignUid}
/
unschedule
Unschedule a broadcast.
Authorizations
BearerApiKey
Enter your access token (OAuth / JWT).
Path Parameters
Response
Minimum string length:
1Minimum string length:
1Maximum string length:
10Show child attributes
Show child attributes
Show child attributes
Show child attributes
1 - Draft, 2 - Pending, 3 - Sent, 4 - Queuing, 5 - Queued, 6 - Sending, 7 - Error, 8 - WaitingToResume, 9 - QueuedEmails, 10 - Archived
Available options:
1, 2, 3, 4, 5, 6, 7, 8, 9, 10 Maximum string length:
500Show child attributes
Show child attributes
⌘I